Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.operation.assertion
Class AssertMatchesAll

    java.lang.Object
      cascading.operation.BaseOperation<C>
          cascading.operation.regex.RegexOperation<Matcher>
              cascading.operation.regex.RegexMatcher
                  cascading.operation.assertion.AssertMatchesAll

All Implemented Interfaces:
  Assertion<Matcher>, Operation<Matcher>, PlannedOperation<Matcher>, ValueAssertion<Matcher>, Serializable

    public class AssertMatchesAll

extends RegexMatcher
implements ValueAssertion<Matcher>

Class AssertMatchesAll matches the given regular expression patternString against each argument `Tuple` element individually. See `AssertMatches` if you need to match the patternString regex against the tuple as a whole.

This operation uses `Matcher` internally, specifically the method `Matcher.find()`.

See Also:
  `Matcher`, `Pattern`, Serialized Form

Field Summary

Fields inherited from class cascading.operation.regex.RegexMatcher
`negateMatch`

Fields inherited from class cascading.operation.regex.RegexOperation
`patternString`

Fields inherited from class cascading.operation.BaseOperation
`fieldDeclaration, numArgs, trace`

Fields inherited from interface cascading.operation.Operation
`ANY`

Constructor Summary
`AssertMatchesAll(String patternString)` Constructor AssertMatchesAll creates a new AssertMatchesAll instance.
`AssertMatchesAll(String patternString, boolean negateMatch)` Constructor AssertMatchesAll creates a new AssertMatchesAll instance.

Method Summary
`void` | `doAssert(FlowProcess flowProcess, ValueAssertionCall<Matcher> assertionCall)` Method doAssert performs the assertion.
`boolean` | `supportsPlannerLevel(PlannerLevel plannerLevel)`

Methods inherited from class cascading.operation.regex.RegexMatcher
`equals, hashCode, isNegateMatch, matchEachElement, matchEachElementPos, matchWholeTuple, prepare`

Methods inherited from class cascading.operation.regex.RegexOperation
`getPattern, getPatternString`

Methods inherited from class cascading.operation.BaseOperation
`cleanup, flush, getFieldDeclaration, getNumArgs, getTrace, isSafe, printOperationInternal, toString, toStringInternal`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface cascading.operation.Operation
`cleanup, flush, getFieldDeclaration, getNumArgs, isSafe, prepare`

Constructor Detail

### AssertMatchesAll

    @ConstructorProperties(value="patternString")
    public AssertMatchesAll(String patternString)

  Constructor AssertMatchesAll creates a new AssertMatchesAll instance.

  Parameters:
    `patternString` - of type String

### AssertMatchesAll

    @ConstructorProperties(value={"patternString","negateMatch"})
    public AssertMatchesAll(String patternString,
                                                       boolean negateMatch)

  Constructor AssertMatchesAll creates a new AssertMatchesAll instance.

  Parameters:
    `patternString` - of type String
    `negateMatch` - of type boolean

Method Detail

### supportsPlannerLevel

    public boolean supportsPlannerLevel(PlannerLevel plannerLevel)

  Specified by:
    `supportsPlannerLevel` in interface `PlannedOperation<Matcher>`

### doAssert

    public void doAssert(FlowProcess flowProcess,
                         ValueAssertionCall<Matcher> assertionCall)

  Description copied from interface: `ValueAssertion`
  Method doAssert performs the assertion.

  Specified by:
    `doAssert` in interface `ValueAssertion<Matcher>`
  Parameters:
    `flowProcess` - of type FlowProcess
    `assertionCall` - of type ValueAssertionCall

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.